> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Seed

> Delete seeds. Any assets discovered from those seeds will be removed from the listing associated with the seed group that owns the deleted seed.




## OpenAPI

````yaml /asset-discovery-openapi.yaml delete /v1/organizations/{organizationUid}/seed-groups/{seedGroupUid}/seeds/{seedUid}
openapi: 3.0.3
info:
  title: Asset Discovery
  description: >-
    RESTful API for managing seeds, seed groups used in the asset discovery
    process.
  version: '1.0'
  contact:
    name: Synack Engineering
    email: engineering@synack.com
servers:
  - url: https://client.synack.com/api/asset-discovery
    description: Commercial
  - url: https://client.synack.us/api/asset-discovery
    description: FedRAMP (Medium)
security: []
tags:
  - name: Seeds
    description: Collections of seeds associated with a listing.
  - name: Tags
    description: Tags applied to seeds and seed groups.
paths:
  /v1/organizations/{organizationUid}/seed-groups/{seedGroupUid}/seeds/{seedUid}:
    parameters:
      - $ref: '#/components/parameters/OrganizationUIDPath'
      - $ref: '#/components/parameters/SeedGroupUIDPath'
      - $ref: '#/components/parameters/SeedUIDPath'
    delete:
      tags:
        - Seeds
      description: >
        Delete seeds. Any assets discovered from those seeds will be removed
        from the listing associated with the seed group that owns the deleted
        seed.
      operationId: deleteSeed
      responses:
        '204':
          $ref: '#/components/responses/204NoContent'
        '401':
          $ref: '#/components/responses/401Unauthorized'
        '403':
          $ref: '#/components/responses/403Forbidden'
        '404':
          $ref: '#/components/responses/404NotFound'
        '500':
          $ref: '#/components/responses/500InternalServerError'
        '503':
          $ref: '#/components/responses/503ServiceUnavailable'
      security:
        - OAuth2:
            - assetdiscovery_ow
components:
  parameters:
    OrganizationUIDPath:
      name: organizationUid
      in: path
      schema:
        $ref: '#/components/schemas/OrganizationUID'
      required: true
      description: Unique identifier for an organization group.
    SeedGroupUIDPath:
      name: seedGroupUid
      in: path
      schema:
        $ref: '#/components/schemas/SeedGroupUID'
      required: true
      description: Unique identifier for a seed group.
    SeedUIDPath:
      name: seedUid
      in: path
      schema:
        $ref: '#/components/schemas/UID'
      required: true
      description: Unique identifier for a seed.
  responses:
    204NoContent:
      description: No content.
    401Unauthorized:
      description: Unauthorized.
    403Forbidden:
      description: Forbidden
    404NotFound:
      description: Not found.
    500InternalServerError:
      description: Internal Server Error.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ProblemDetails'
    503ServiceUnavailable:
      description: Service Unavailable.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ProblemDetails'
  schemas:
    OrganizationUID:
      type: string
      pattern: ^[-_0-9a-z]{1,50}
      description: Unique identifier for an organization.
    SeedGroupUID:
      type: string
      pattern: ^[0-9a-f]{12}
      description: Unique identifier for a seed group.
    UID:
      type: string
      pattern: ^[0-9a-f]{12}
      readOnly: true
      description: Unique Identifier.
    ProblemDetails:
      type: object
      description: >-
        See [RFC 7807: Problem Details for HTTP
        APIs](https://tools.ietf.org/html/rfc7807)
      properties:
        type:
          type: string
          readOnly: true
        title:
          type: string
          readOnly: true
        status:
          type: integer
          format: int32
          minimum: 100
          maximum: 511
          description: HTTP Status code.
          readOnly: true
        detail:
          type: string
          description: Message detailing the problem.
          readOnly: true
        instance:
          type: string
          description: generated problem instance number to correlate with logs
          readOnly: true
        failedValidation:
          type: array
          description: Array of failed validation rules.
          readOnly: true
          items:
            $ref: '#/components/schemas/FailedValidation'
        failedValidations:
          type: array
          description: Array of indexed failed validation rules.
          readOnly: true
          items:
            $ref: '#/components/schemas/IndexedFailedValidations'
        maxBatchSize:
          type: integer
          description: Maximum processable batch size.
          readOnly: true
        batchSize:
          type: integer
          description: Batch size sent when batch is too large.
          readOnly: true
    FailedValidation:
      type: object
      required:
        - message
      properties:
        property:
          type: string
          readOnly: true
        value:
          type: string
          readOnly: true
        message:
          type: string
          readOnly: true
    IndexedFailedValidations:
      type: object
      properties:
        index:
          type: integer
          description: >-
            Zero-based index indicating the which item in request containing an
            array of items has failed validation.
          readOnly: true
        failedValidation:
          type: array
          description: Array of failed validation rules.
          readOnly: true
          items:
            $ref: '#/components/schemas/FailedValidation'
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: login.synack.com
          scopes:
            assetdiscovery_gr: Grants global-level to read seed groups and seeds.
            assetdiscovery_or: Grants organization-level to read seed groups and seeds.
            assetdiscovery_ow: >-
              Grants organization-level to create or modify seed groups and
              seeds.
            assetdiscovery_lr: Grants listing-level to read seed groups and seeds.
            asset_client_lw: Grants listing-level to write seed groups and seeds.

````